STOFFPropertyHandlerDecoder Class Reference

## Public Member Functions

| STOFFPropertyHandlerDecoder (STOFFPropertyHandler *hdl=nullptr)
| constructor given a STOFFPropertyHandler
bool | readData (librevenge::RVNGBinaryData const &encoded)
| tries to read the data

## Protected Member Functions

bool | readInsertElement (librevenge::RVNGInputStream &input)
| reads an simple element
bool | readInsertElementWithList (librevenge::RVNGInputStream &input)
| reads an element with a property list
bool | readCharacters (librevenge::RVNGInputStream &input)
| reads a set of characters
bool | readPropertyListVector (librevenge::RVNGInputStream &input, librevenge::RVNGPropertyListVector &vect)
| low level: reads a property vector: number of properties list followed by list of properties list
bool | readPropertyList (librevenge::RVNGInputStream &input, librevenge::RVNGPropertyList &lists)
| low level: reads a property list: number of properties followed by list of properties
bool | readProperty (librevenge::RVNGInputStream &input, librevenge::RVNGPropertyList &list)
| low level: reads a property and its value, adds it to list
bool | readString (librevenge::RVNGInputStream &input, librevenge::RVNGString &s)
| low level: reads a string : size and string

## Static Protected Member Functions

static bool | readLong (librevenge::RVNGInputStream &input, long &val)
| low level: reads an long value

## Protected Attributes

STOFFPropertyHandler * | m_handler
| the streamfile

## Private Member Functions

| STOFFPropertyHandlerDecoder (STOFFPropertyHandlerDecoder const &orig)
STOFFPropertyHandlerDecoder & | operator= (STOFFPropertyHandlerDecoder const &)

## Constructor & Destructor Documentation

## STOFFPropertyHandlerDecoder() [1/2]

STOFFPropertyHandlerDecoder::STOFFPropertyHandlerDecoder | ( | STOFFPropertyHandler * | hdl = nullptr | ) |

inline explicit

constructor given a STOFFPropertyHandler

Referenced by operator=(), and STOFFPropertyHandlerDecoder().

## STOFFPropertyHandlerDecoder() [2/2]

STOFFPropertyHandlerDecoder::STOFFPropertyHandlerDecoder | ( | STOFFPropertyHandlerDecoder const & | orig | ) |

private

## Member Function Documentation

## operator=()

STOFFPropertyHandlerDecoder & STOFFPropertyHandlerDecoder::operator= | ( | STOFFPropertyHandlerDecoder const & |  | ) |

private

## readCharacters()

bool STOFFPropertyHandlerDecoder::readCharacters | ( | librevenge::RVNGInputStream & | input | ) |

inline protected

reads a set of characters

Referenced by readData().

## readData()

bool STOFFPropertyHandlerDecoder::readData | ( | librevenge::RVNGBinaryData const & | encoded | ) |

inline

tries to read the data

Referenced by STOFFPropertyHandler::checkData(), and STOFFPropertyHandler::readData().

## readInsertElement()

bool STOFFPropertyHandlerDecoder::readInsertElement | ( | librevenge::RVNGInputStream & | input | ) |

inline protected

reads an simple element

Referenced by readData().

## readInsertElementWithList()

bool STOFFPropertyHandlerDecoder::readInsertElementWithList | ( | librevenge::RVNGInputStream & | input | ) |

inline protected

reads an element with a property list

Referenced by readData().

## readLong()

bool STOFFPropertyHandlerDecoder::readLong | ( | librevenge::RVNGInputStream & | input,
|  | long & | val )

inline static protected

low level: reads an long value

Referenced by readPropertyList(), readPropertyListVector(), and readString().

## readProperty()

bool STOFFPropertyHandlerDecoder::readProperty | ( | librevenge::RVNGInputStream & | input,
|  | librevenge::RVNGPropertyList & | list )

inline protected

low level: reads a property and its value, adds it to list

Referenced by readPropertyList().

## readPropertyList()

bool STOFFPropertyHandlerDecoder::readPropertyList | ( | librevenge::RVNGInputStream & | input,
|  | librevenge::RVNGPropertyList & | lists )

inline protected

low level: reads a property list: number of properties followed by list of properties

Referenced by readInsertElementWithList(), and readPropertyListVector().

## readPropertyListVector()

bool STOFFPropertyHandlerDecoder::readPropertyListVector | ( | librevenge::RVNGInputStream & | input,
|  | librevenge::RVNGPropertyListVector & | vect )

inline protected

low level: reads a property vector: number of properties list followed by list of properties list

Referenced by readPropertyList().

## readString()

bool STOFFPropertyHandlerDecoder::readString | ( | librevenge::RVNGInputStream & | input,
|  | librevenge::RVNGString & | s )

inline protected

low level: reads a string : size and string

Referenced by readCharacters(), readInsertElement(), readInsertElementWithList(), readProperty(), and readPropertyList().

## Member Data Documentation

## m_handler

STOFFPropertyHandler* STOFFPropertyHandlerDecoder::m_handler

protected

the streamfile

Referenced by readCharacters(), readInsertElement(), readInsertElementWithList(), and STOFFPropertyHandlerDecoder().

The documentation for this class was generated from the following file:

- STOFFPropertyHandler.cxx